Bug 133208 - Webalizer Segmentation Fault
Webalizer Segmentation Fault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: webalizer (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-22 10:18 EDT by Jeremy Brockett
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 11:44:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Brockett 2004-09-22 10:18:44 EDT
Description of problem:  When I run webalizer -d -c <conf file> I get
a Segmentation Fault and no further debug information.

Version-Release number of selected component (if applicable): 2.01_10-22

How reproducible: 100%


Steps to Reproduce:
1. webalizer -c <conf file>
2.
3.
  
Actual results: Segmentation fault


Expected results: Successful parsing of log files and creation of
webalizer stats pages.


Additional info: I did see other posts of this error after people
upgraded to php 4.3.8.  I am running that version of php as well.  I
have all current updates applied. If I use the -d flag I still just
get a segmentation fault error and no additional information.
Comment 1 Joe Orton 2004-09-22 17:36:12 EDT
Can you run it under gdb:

gdb webalizer -d -c <conf file>

then enter "backtrace" when it crashes, and post the backtrace info here?
Comment 2 Jeremy Brockett 2004-09-23 14:29:55 EDT
I ran gdb webalizer -d -c <conf file>, but it just takes me to a gdb
prompt. Then I type backtrace, but it says "no stack". Sorry, but I've
never run gdb this way before. I just used it against core files. Am I
just running it incorrectly?
Comment 3 Joe Orton 2004-10-13 06:10:59 EDT
Please try:

$ gdb --args webalizer -d  -c <conf file>
...
(gdb) run
...segfaults...
(gdb) backtrace

Comment 4 Jeremy Brockett 2004-10-13 19:37:29 EDT
[root@web01 webalizer]# gdb --args webalizer -d -c
/etc/webalizer/aumanfamily.com.conf
GNU gdb Red Hat Linux (6.0post-0.20040223.19rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details.
This GDB was configured as "i386-redhat-linux-gnu"...(no debugging
symbols found)...Using host libthread_db library
"/lib/tls/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/webalizer -d -c
/etc/webalizer/aumanfamily.com.conf
Error while mapping shared library sections:
: Success.
Error while reading shared library symbols:
: No such file or directory.
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...[Thread debugging using libthread_db enabled]
[New Thread -150130016 (LWP 16007)]
(no debugging symbols found)...(no debugging symbols found)...Error
while reading shared library symbols:
: No such file or directory.
Error while reading shared library symbols:
: No such file or directory.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -150130016 (LWP 16007)]
0x00bbacd4 in fgets () from /lib/tls/libc.so.6
(gdb) backtrace
#0  0x00bbacd4 in fgets () from /lib/tls/libc.so.6
#1  0x0804c5f1 in ?? ()
#2  0xfee29c00 in ?? ()
#3  0x00001000 in ?? ()
#4  0x0079f060 in ?? ()
#5  0x00000000 in ?? ()
(gdb) quit
The program is running.  Exit anyway? (y or n) y
Comment 5 Matthew Miller 2005-04-26 12:36:16 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 6 Joe Orton 2005-06-21 11:44:22 EDT
[This is a mass bug update]

Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 or FC4 updates,
reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.